Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.registry
Interface KernelBus

All Superinterfaces:
  KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractKernelBus

public interface KernelBus
extends KernelObject

A bus.

The bus allows detatched invocations on named components in the registry.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Method Summary
`Object` | `invoke(Object name, org.jboss.joinpoint.spi.TargettedJoinpoint joinPoint)` Invoke an operation

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Method Detail

### invoke

    public Object invoke(Object name,
                         org.jboss.joinpoint.spi.TargettedJoinpoint joinPoint)
                  throws Throwable

  Invoke an operation

  Parameters:
    `name` - the name of the object
    `joinPoint` - the join point
  Returns:
    the result
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.